// Copyright (c) 1995  David Engberg  All rights reserved
// $Id: CompilerInstantiations.C,v 1.5 1998/07/30 16:49:06 nickm Exp $
#include "config.h"
#include "find_leaks.h"

#ifdef OLDGCC

#include <map>
#include <algorithm>
#include "unicode_string.h"
#include "JavaTypeSignature.h"
#include "Statement.h"
#include "instantiation_macros.h"

template class pair<const CJavaClassFile*, const CJavaMethodInfo*>;
template class pair<CJavaFieldSignature, unsigned short>;
typedef pair<CJavaFieldSignature, unsigned short> LocalVariableEntry;

DECL_MAP_CPTR(unicode_string, CJavaClassFile)
DECL_MAP(unicode_string, LocalVariableEntry)

template LocalVariableEntry make_pair(CJavaFieldSignature const&,
				      unsigned short const&);
template bool operator!=(CJavaTypeSignature const &,
			 CJavaTypeSignature const &);
template bool max(const unsigned short&, const unsigned short&);


#endif
