
package polyj.lang;

public final class ByteWrap extends Primitive {
  public static final Object Default = (Object) new ByteWrap((byte) 0);
  public byte value;
  
  public byte Unwrap()
  { return value; }

  public static Object Cast(Object o) {
    Primitive p = (Primitive) o;
    return (Object) new ByteWrap((byte) p.longValue());
  }
   
  public ByteWrap(byte i)
  { value = i; }
  public ByteWrap() {}
  
  public String toString()
  { return Integer.toString((int) value); }
  public int hashCode()
  { return (int) value; }

  public long longValue()
  { return value; }
  public double doubleValue()
  { return (double) value; }

  public int compareTo(ByteWrap b)
  { return value == b.value ? 0 : value > b.value ? 1 : -1; }
}
