// Copyright (c) 1995  David Engberg  All rights reserved
// $Id: CommonInstantiations.C,v 1.7 1998/07/30 16:43:27 nickm Exp $

#include "config.h"
#include "find_leaks.h"

#ifdef OLDGCC
#include <vector>
#include <algorithm>
#include "JavaTypeSignature.h"
#include <deque>
#include <map>
#include "JavaAttribute.h"
#include "JavaCodeAttribute.h"
#include "JavaFieldInfo.h"
#include "JavaFieldSignature.h"
#include "PJavaClassInfo.h"
#include "instantiation_macros.h"
class CJavaConstant;
class CJavaMethodInfo;

DECL_DEQUE(CJavaTypeSignature)
DECL_VECTOR(CJavaConstant*)
DECL_VECTOR(CJavaCodeAttribute::ExceptionInfo)
DECL_VECTOR(CJavaLineNumberTable::LineInfo)
DECL_VECTOR(CJavaLocalVariableTable::VariableInfo)

DECL_MAP_CPTR(CJavaFieldSignature, CJavaFieldInfo)
DECL_MAP_CPTR(CJavaMethodSignature, CJavaMethodInfo)

DECL_LESS(CJavaFieldSignature)
DECL_LESS(CJavaMethodSignature)
#endif
